Skip to main content

Notification Summary GET

GET 

/v1/notifications/summary

Get notification summary including unseen/unread counts and a paginated list of notifications.

Request

Query Parameters

    cursor int32

    Cursor-based pagination. Pass the last notification ID from the previous page.

Responses

Ok

Schema
    notifications object[]required
  • Array [
  • experiment_type ExperimentType (string)required

    Possible values: [test, feature, test_template, feature_template]

    created_by_id doublerequired
    created_by_name stringrequired
    created_at stringrequired
    seen booleanrequired
    read booleanrequired
    full_on_variant doublerequired
    related_field doublerequired
    action_rationale objectrequired
    experiment_type ExperimentType (string)required

    Possible values: [test, feature, test_template, feature_template]

    label stringrequired
    archived booleanrequired
    updated_at date-timerequired
    created_at date-timerequired
    name stringrequired
    id doublerequired
    related_entity_url stringrequired
    related_entity_name stringrequired
    related_entity_id doublerequired
    type NotificationType (string)required

    Possible values: [PLATFORM_RELEASE, TEAM_MEMBER_ADDED, TEAM_MEMBER_REMOVED, TEAM_MEMBER_ROLES_EDITED, EXPERIMENT_OWNER_ADDED, EXPERIMENT_STARTED, EXPERIMENT_ABORTED, EXPERIMENT_FULL_ON, EXPERIMENT_KEEP_CURRENT, EXPERIMENT_READY_FOR_DECISION, EXPERIMENT_ALERT_TRIGGERED, FEATURE_ON, FEATURE_OFF, EXPERIMENT_ACCESS_GRANTED, EXPERIMENT_ACCESS_REMOVED, METRIC_ACCESS_GRANTED, METRIC_ACCESS_REMOVED, GOAL_ACCESS_GRANTED, GOAL_ACCESS_REMOVED, USAGE_ALERT_THRESHOLD_REACHED, METRIC_REVIEW_REQUESTED, METRIC_APPROVED, METRIC_REVIEW_COMMENT_ADDED]

    id doublerequired
  • ]
  • next_cursor doublerequired
    unread_count doublerequired
    unseen_count doublerequired
Loading...